Index: /trunk/tests/phpunit/tests/rest-api/rest-server.php
===================================================================
--- /trunk/tests/phpunit/tests/rest-api/rest-server.php	(revision 42723)
+++ /trunk/tests/phpunit/tests/rest-api/rest-server.php	(revision 42724)
@@ -17,5 +17,5 @@
 		$GLOBALS['wp_rest_server'] = null;
 		add_filter( 'wp_rest_server_class', array( $this, 'filter_wp_rest_server_class' ) );
-		$this->server = rest_get_server();
+		$GLOBALS['wp_rest_server'] = rest_get_server();
 		remove_filter( 'wp_rest_server_class', array( $this, 'filter_wp_rest_server_class' ) );
 	}
@@ -46,5 +46,5 @@
 		$response->header( 'Multiple', 'yes', false );
 
-		$envelope_response = $this->server->envelope_response( $response, false );
+		$envelope_response = rest_get_server()->envelope_response( $response, false );
 
 		// The envelope should still be a response, but with defaults.
@@ -76,5 +76,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/test-ns/test' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 'bar', $request['foo'] );
@@ -97,5 +97,5 @@
 		$request = new WP_REST_Request( 'GET', '/test-ns/test' );
 		$request->set_query_params( array( 'foo' => 123 ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( '123', $request['foo'] );
@@ -115,5 +115,5 @@
 		$request = new WP_REST_Request( 'GET', '/optional/test' );
 		$request->set_query_params( array() );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertInstanceOf( 'WP_REST_Response', $response );
 		$this->assertEquals( 200, $response->get_status() );
@@ -134,5 +134,5 @@
 		);
 		$request = new WP_REST_Request( 'GET', '/no-zero/test' );
-		$this->server->dispatch( $request );
+		rest_get_server()->dispatch( $request );
 		$this->assertEquals( array( 'foo' => 'bar' ), $request->get_params() );
 	}
@@ -146,5 +146,5 @@
 		);
 		$request  = new WP_REST_Request( 'HEAD', '/head-request/test' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 	}
@@ -171,5 +171,5 @@
 		);
 		$request  = new WP_REST_Request( 'HEAD', '/head-request/test' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 	}
@@ -177,5 +177,5 @@
 	public function test_url_params_no_numeric_keys() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/(?P<data>.*)', array(
 				array(
@@ -190,5 +190,5 @@
 
 		$request = new WP_REST_Request( 'GET', '/test/some-value' );
-		$this->server->dispatch( $request );
+		rest_get_server()->dispatch( $request );
 		$this->assertEquals( array( 'data' => 'some-value' ), $request->get_params() );
 	}
@@ -209,5 +209,5 @@
 
 		$request = new WP_REST_Request( 'GET', '/test-ns/test', array() );
-		$result  = $this->server->dispatch( $request );
+		$result  = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 403, $result->get_status() );
@@ -234,5 +234,5 @@
 		wp_set_current_user( $editor );
 
-		$result = $this->server->dispatch( $request );
+		$result = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 200, $result->get_status() );
@@ -255,6 +255,6 @@
 		$request = new WP_REST_Request( 'GET', '/test-ns/test', array() );
 
-		$result = $this->server->dispatch( $request );
-		$result = apply_filters( 'rest_post_dispatch', $result, $this->server, $request );
+		$result = rest_get_server()->dispatch( $request );
+		$result = apply_filters( 'rest_post_dispatch', $result, rest_get_server(), $request );
 
 		$this->assertFalse( $result->get_status() !== 200 );
@@ -288,9 +288,9 @@
 		$request = new WP_REST_Request( 'GET', '/test-ns/test', array() );
 
-		$result = $this->server->dispatch( $request );
+		$result = rest_get_server()->dispatch( $request );
 
 		$this->assertFalse( $result->get_status() !== 200 );
 
-		$result = apply_filters( 'rest_post_dispatch', $result, $this->server, $request );
+		$result = apply_filters( 'rest_post_dispatch', $result, rest_get_server(), $request );
 
 		$sent_headers = $result->get_headers();
@@ -323,6 +323,6 @@
 		$request = new WP_REST_Request( 'GET', '/test-ns/test', array() );
 
-		$result = $this->server->dispatch( $request );
-		$result = apply_filters( 'rest_post_dispatch', $result, $this->server, $request );
+		$result = rest_get_server()->dispatch( $request );
+		$result = apply_filters( 'rest_post_dispatch', $result, rest_get_server(), $request );
 
 		$this->assertEquals( $result->get_status(), 403 );
@@ -348,7 +348,7 @@
 
 		$request  = new WP_REST_Request( 'OPTIONS', '/test-ns/test' );
-		$response = $this->server->dispatch( $request );
-
-		$result = apply_filters( 'rest_post_dispatch', rest_ensure_response( $response ), $this->server, $request );
+		$response = rest_get_server()->dispatch( $request );
+
+		$result = apply_filters( 'rest_post_dispatch', rest_ensure_response( $response ), rest_get_server(), $request );
 
 		$headers = $result->get_headers();
@@ -366,5 +366,5 @@
 		$error   = new WP_Error( $code, $message );
 
-		$response = $this->server->error_to_response( $error );
+		$response = rest_get_server()->error_to_response( $error );
 		$this->assertInstanceOf( 'WP_REST_Response', $response );
 
@@ -383,5 +383,5 @@
 		$error   = new WP_Error( $code, $message, array( 'status' => 400 ) );
 
-		$response = $this->server->error_to_response( $error );
+		$response = rest_get_server()->error_to_response( $error );
 		$this->assertInstanceOf( 'WP_REST_Response', $response );
 
@@ -402,5 +402,5 @@
 		$error->add( $code2, $message2, array( 'status' => 403 ) );
 
-		$response = $this->server->error_to_response( $error );
+		$response = rest_get_server()->error_to_response( $error );
 		$this->assertInstanceOf( 'WP_REST_Response', $response );
 
@@ -421,5 +421,5 @@
 		);
 		$expected = wp_json_encode( $data );
-		$response = $this->server->json_error( 'wp-api-test-error', 'Message text' );
+		$response = rest_get_server()->json_error( 'wp-api-test-error', 'Message text' );
 
 		$this->assertEquals( $expected, $response );
@@ -451,5 +451,5 @@
 		$response->add_link( 'alternate', 'http://example.org/', array( 'type' => 'application/xml' ) );
 
-		$data = $this->server->response_to_data( $response, false );
+		$data = rest_get_server()->response_to_data( $response, false );
 		$this->assertArrayHasKey( '_links', $data );
 
@@ -468,5 +468,5 @@
 	public function test_link_embedding() {
 		// Register our testing route.
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/embeddable', array(
 				'methods'  => 'GET',
@@ -482,5 +482,5 @@
 		$response->add_link( 'alternate', rest_url( '/test/embeddable' ), array( 'embeddable' => true ) );
 
-		$data = $this->server->response_to_data( $response, true );
+		$data = rest_get_server()->response_to_data( $response, true );
 		$this->assertArrayHasKey( '_embedded', $data );
 
@@ -501,5 +501,5 @@
 		$response->add_link( 'https://api.w.org/term', 'http://example.com/' );
 
-		$data  = $this->server->response_to_data( $response, false );
+		$data  = rest_get_server()->response_to_data( $response, false );
 		$links = $data['_links'];
 
@@ -514,5 +514,5 @@
 		add_filter( 'rest_response_link_curies', array( $this, 'add_custom_curie' ) );
 
-		$data  = $this->server->response_to_data( $response, false );
+		$data  = rest_get_server()->response_to_data( $response, false );
 		$links = $data['_links'];
 
@@ -541,5 +541,5 @@
 	public function test_link_embedding_self() {
 		// Register our testing route.
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/embeddable', array(
 				'methods'  => 'GET',
@@ -552,5 +552,5 @@
 		$response->add_link( 'self', rest_url( '/test/notembeddable' ), array( 'embeddable' => true ) );
 
-		$data = $this->server->response_to_data( $response, true );
+		$data = rest_get_server()->response_to_data( $response, true );
 
 		$this->assertArrayNotHasKey( '_embedded', $data );
@@ -562,5 +562,5 @@
 	public function test_link_embedding_params() {
 		// Register our testing route.
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/embeddable', array(
 				'methods'  => 'GET',
@@ -574,5 +574,5 @@
 		$response->add_link( 'alternate', $url, array( 'embeddable' => true ) );
 
-		$data = $this->server->response_to_data( $response, true );
+		$data = rest_get_server()->response_to_data( $response, true );
 
 		$this->assertArrayHasKey( '_embedded', $data );
@@ -588,5 +588,5 @@
 	public function test_link_embedding_error() {
 		// Register our testing route.
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/embeddable', array(
 				'methods'  => 'GET',
@@ -600,5 +600,5 @@
 		$response->add_link( 'up', $url, array( 'embeddable' => true ) );
 
-		$data = $this->server->response_to_data( $response, true );
+		$data = rest_get_server()->response_to_data( $response, true );
 
 		$this->assertArrayHasKey( '_embedded', $data );
@@ -622,5 +622,5 @@
 			'untouched' => 'data',
 		);
-		$result = $this->server->embed_links( $data );
+		$result = rest_get_server()->embed_links( $data );
 
 		$this->assertArrayNotHasKey( '_links', $data );
@@ -651,5 +651,5 @@
 		$response->remove_link( 'self' );
 
-		$data = $this->server->response_to_data( $response, false );
+		$data = rest_get_server()->response_to_data( $response, false );
 		$this->assertArrayHasKey( '_links', $data );
 
@@ -670,5 +670,5 @@
 		$response->remove_link( 'self', 'https://example.com/' );
 
-		$data = $this->server->response_to_data( $response, false );
+		$data = rest_get_server()->response_to_data( $response, false );
 		$this->assertArrayHasKey( '_links', $data );
 
@@ -790,6 +790,6 @@
 		$request = new WP_REST_Request( 'GET', '/', array() );
 
-		$result  = $this->server->serve_request( '/' );
-		$headers = $this->server->sent_headers;
+		$result  = rest_get_server()->serve_request( '/' );
+		$headers = rest_get_server()->sent_headers;
 
 		$this->assertEquals( 'noindex', $headers['X-Robots-Tag'] );
@@ -802,8 +802,8 @@
 	public function test_rest_enable_filter_is_deprecated() {
 		add_filter( 'rest_enabled', '__return_false' );
-		$this->server->serve_request( '/' );
+		rest_get_server()->serve_request( '/' );
 		remove_filter( 'rest_enabled', '__return_false' );
 
-		$result = json_decode( $this->server->sent_body );
+		$result = json_decode( rest_get_server()->sent_body );
 
 		$this->assertObjectNotHasAttribute( 'code', $result );
@@ -815,6 +815,6 @@
 		$request = new WP_REST_Request( 'GET', '/', array() );
 
-		$result  = $this->server->serve_request( '/' );
-		$headers = $this->server->sent_headers;
+		$result  = rest_get_server()->serve_request( '/' );
+		$headers = rest_get_server()->sent_headers;
 
 		$this->assertEquals( '<' . esc_url_raw( $api_root ) . '>; rel="https://api.w.org/"', $headers['Link'] );
@@ -826,6 +826,6 @@
 		wp_set_current_user( $editor );
 
-		$result  = $this->server->serve_request( '/' );
-		$headers = $this->server->sent_headers;
+		$result  = rest_get_server()->serve_request( '/' );
+		$headers = rest_get_server()->sent_headers;
 
 		foreach ( wp_get_nocache_headers() as $header => $value ) {
@@ -846,6 +846,6 @@
 		$request = new WP_REST_Request( 'GET', '/', array() );
 
-		$result  = $this->server->serve_request( '/' );
-		$headers = $this->server->sent_headers;
+		$result  = rest_get_server()->serve_request( '/' );
+		$headers = rest_get_server()->sent_headers;
 
 		foreach ( wp_get_nocache_headers() as $header => $value ) {
@@ -856,5 +856,5 @@
 	public function test_serve_request_url_params_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test/(?P<data>.*)', array(
 				array(
@@ -868,6 +868,6 @@
 		);
 
-		$result     = $this->server->serve_request( '/test/data\\with\\slashes' );
-		$url_params = $this->server->last_request->get_url_params();
+		$result     = rest_get_server()->serve_request( '/test/data\\with\\slashes' );
+		$url_params = rest_get_server()->last_request->get_url_params();
 		$this->assertEquals( 'data\\with\\slashes', $url_params['data'] );
 	}
@@ -875,5 +875,5 @@
 	public function test_serve_request_query_params_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test', array(
 				array(
@@ -894,6 +894,6 @@
 		);
 
-		$result       = $this->server->serve_request( '/test' );
-		$query_params = $this->server->last_request->get_query_params();
+		$result       = rest_get_server()->serve_request( '/test' );
+		$query_params = rest_get_server()->last_request->get_query_params();
 		$this->assertEquals( 'data\\with\\slashes', $query_params['data'] );
 	}
@@ -901,5 +901,5 @@
 	public function test_serve_request_body_params_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test', array(
 				array(
@@ -920,7 +920,7 @@
 		);
 
-		$result = $this->server->serve_request( '/test/data' );
-
-		$body_params = $this->server->last_request->get_body_params();
+		$result = rest_get_server()->serve_request( '/test/data' );
+
+		$body_params = rest_get_server()->last_request->get_body_params();
 		$this->assertEquals( 'data\\with\\slashes', $body_params['data'] );
 	}
@@ -928,5 +928,5 @@
 	public function test_serve_request_json_params_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test', array(
 				array(
@@ -947,6 +947,6 @@
 		);
 
-		$result      = $this->server->serve_request( '/test' );
-		$json_params = $this->server->last_request->get_json_params();
+		$result      = rest_get_server()->serve_request( '/test' );
+		$json_params = rest_get_server()->last_request->get_json_params();
 		$this->assertEquals( 'data\\with\\slashes', $json_params['data'] );
 	}
@@ -954,5 +954,5 @@
 	public function test_serve_request_file_params_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test', array(
 				array(
@@ -973,6 +973,6 @@
 		);
 
-		$result      = $this->server->serve_request( '/test/data\\with\\slashes' );
-		$file_params = $this->server->last_request->get_file_params();
+		$result      = rest_get_server()->serve_request( '/test/data\\with\\slashes' );
+		$file_params = rest_get_server()->last_request->get_file_params();
 		$this->assertEquals( 'data\\with\\slashes', $file_params['data']['name'] );
 	}
@@ -980,5 +980,5 @@
 	public function test_serve_request_headers_are_unslashed() {
 
-		$this->server->register_route(
+		rest_get_server()->register_route(
 			'test', '/test', array(
 				array(
@@ -995,6 +995,6 @@
 		$_SERVER['HTTP_X_MY_HEADER'] = wp_slash( 'data\\with\\slashes' );
 
-		$result = $this->server->serve_request( '/test/data\\with\\slashes' );
-		$this->assertEquals( 'data\\with\\slashes', $this->server->last_request->get_header( 'x_my_header' ) );
+		$result = rest_get_server()->serve_request( '/test/data\\with\\slashes' );
+		$this->assertEquals( 'data\\with\\slashes', rest_get_server()->last_request->get_header( 'x_my_header' ) );
 	}
 
@@ -1079,5 +1079,5 @@
 			)
 		);
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertEquals( 200, $response->get_status() );
@@ -1138,7 +1138,7 @@
 	protected function helper_make_request_and_return_headers_for_rest_send_refreshed_nonce_tests() {
 		$request = new WP_REST_Request( 'GET', '/', array() );
-		$result  = $this->server->serve_request( '/' );
-
-		return $this->server->sent_headers;
+		$result  = rest_get_server()->serve_request( '/' );
+
+		return rest_get_server()->sent_headers;
 	}
 }
Index: /trunk/tests/phpunit/tests/rest-api/rest-settings-controller.php
===================================================================
--- /trunk/tests/phpunit/tests/rest-api/rest-settings-controller.php	(revision 42723)
+++ /trunk/tests/phpunit/tests/rest-api/rest-settings-controller.php	(revision 42724)
@@ -40,5 +40,5 @@
 
 	public function test_register_routes() {
-		$routes = $this->server->get_routes();
+		$routes = rest_get_server()->get_routes();
 		$this->assertArrayHasKey( '/wp/v2/settings', $routes );
 	}
@@ -48,5 +48,5 @@
 		wp_set_current_user( self::$administrator );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings/title' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 404, $response->get_status() );
 	}
@@ -57,5 +57,5 @@
 	public function test_get_item_is_not_public_not_authenticated() {
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 401, $response->get_status() );
 	}
@@ -64,5 +64,5 @@
 		wp_set_current_user( self::$author );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 403, $response->get_status() );
 	}
@@ -71,5 +71,5 @@
 		wp_set_current_user( self::$administrator );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$actual   = array_keys( $data );
@@ -108,5 +108,5 @@
 		update_option( 'posts_per_page', 'invalid_number' ); // this is cast to (int) 1
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -132,5 +132,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -142,5 +142,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 'validvalue2', $data['mycustomsettinginrest'] );
@@ -169,5 +169,5 @@
 		update_option( 'mycustomsetting', array( '1', '2' ) );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array( 1, 2 ), $data['mycustomsetting'] );
@@ -176,5 +176,5 @@
 		update_option( 'mycustomsetting', array() );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array(), $data['mycustomsetting'] );
@@ -183,5 +183,5 @@
 		update_option( 'mycustomsetting', array( array( 1 ) ) );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( null, $data['mycustomsetting'] );
@@ -190,5 +190,5 @@
 		delete_option( 'mycustomsetting' );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( null, $data['mycustomsetting'] );
@@ -217,5 +217,5 @@
 
 		// We have to re-register the route, as the args changes based off registered settings.
-		$this->server->override_by_default = true;
+		rest_get_server()->override_by_default = true;
 		$this->endpoint->register_routes();
 
@@ -223,5 +223,5 @@
 		update_option( 'mycustomsetting', array( 'a' => '1' ) );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array( 'a' => 1 ), $data['mycustomsetting'] );
@@ -230,5 +230,5 @@
 		update_option( 'mycustomsetting', array() );
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array(), $data['mycustomsetting'] );
@@ -242,5 +242,5 @@
 		);
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( null, $data['mycustomsetting'] );
@@ -284,5 +284,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -318,5 +318,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( null, $data['mycustomsettinginrest'] );
@@ -342,5 +342,5 @@
 
 		$request  = new WP_REST_Request( 'GET', '/wp/v2/settings' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( null, $data['mycustomsettinginrest'] );
@@ -356,5 +356,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'title', 'The new title!' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -389,5 +389,5 @@
 
 		// We have to re-register the route, as the args changes based off registered settings.
-		$this->server->override_by_default = true;
+		rest_get_server()->override_by_default = true;
 		$this->endpoint->register_routes();
 		wp_set_current_user( self::$administrator );
@@ -395,5 +395,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array( '1', '2' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array( 1, 2 ), $data['mycustomsetting'] );
@@ -403,5 +403,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array() );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array(), $data['mycustomsetting'] );
@@ -411,5 +411,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array( 'invalid' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
@@ -440,5 +440,5 @@
 
 		// We have to re-register the route, as the args changes based off registered settings.
-		$this->server->override_by_default = true;
+		rest_get_server()->override_by_default = true;
 		$this->endpoint->register_routes();
 		wp_set_current_user( self::$administrator );
@@ -453,5 +453,5 @@
 			)
 		);
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -475,5 +475,5 @@
 
 		// We have to re-register the route, as the args changes based off registered settings.
-		$this->server->override_by_default = true;
+		rest_get_server()->override_by_default = true;
 		$this->endpoint->register_routes();
 		wp_set_current_user( self::$administrator );
@@ -481,5 +481,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array( 'a' => 1 ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array( 'a' => 1 ), $data['mycustomsetting'] );
@@ -489,5 +489,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array() );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( array(), $data['mycustomsetting'] );
@@ -502,5 +502,5 @@
 			)
 		);
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
@@ -509,5 +509,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', array( 'a' => 'invalid' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 		unregister_setting( 'somegroup', 'mycustomsetting' );
@@ -520,5 +520,5 @@
 		$request->set_param( 'title', 'The old title!' );
 		$request->set_param( 'description', 'The old description!' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 		$this->assertEquals( 200, $response->get_status() );
@@ -533,5 +533,5 @@
 		$request->set_param( 'title', 'The new title!' );
 		$request->set_param( 'description', 'The new description!' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -549,5 +549,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'title', array( 'rendered' => 'This should fail.' ) );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -557,5 +557,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'posts_per_page', 11 );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 200, $response->get_status() );
 	}
@@ -565,5 +565,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'posts_per_page', 10.5 );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -578,5 +578,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'posts_per_page', null );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$data     = $response->get_data();
 
@@ -591,5 +591,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'default_ping_status', 'open&closed' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertErrorResponse( 'rest_invalid_param', $response, 400 );
 	}
@@ -609,5 +609,5 @@
 		$request = new WP_REST_Request( 'PUT', '/wp/v2/settings' );
 		$request->set_param( 'mycustomsetting', null );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 
 		$this->assertErrorResponse( 'rest_invalid_stored_value', $response, 500 );
@@ -617,5 +617,5 @@
 		/** Settings can't be deleted */
 		$request  = new WP_REST_Request( 'DELETE', '/wp/v2/settings/title' );
-		$response = $this->server->dispatch( $request );
+		$response = rest_get_server()->dispatch( $request );
 		$this->assertEquals( 404, $response->get_status() );
 	}
